summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/test.sh b/test.sh
index 9c1e8c7..742e823 100755
--- a/test.sh
+++ b/test.sh
@@ -108,6 +108,9 @@ test_prefix() {
test "$($pkgrel)" = "1" || exit 1
test "$($pkgrel pkgrel=)" = "pkgrel=1" || exit 1
test "$($pkgrel -d)" = "pkgrel=1" || exit 1
+ test "$($pkgrel -- -d)" = "-d1" || exit 1
+ test "$($pkgrel -a)" = "-a1" || exit 1
+ test "$($pkgrel -a -b -c -d)" = "-a1" || exit 1
test "$($pkgrel a= b= c=)" = "a=1" || exit 1
}